Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin
Interface TabbedNodeEditor

All Known Implementing Classes:
  GridEditor, TextEditor, XSLTViewer

public interface TabbedNodeEditor

TabbedNodeEditor

Method Summary
`void` | `activate(boolean readOnly)`
`void` | `beautify()`
`void` | `copy()`
`void` | `cut()`
`boolean` | `deactivate()`
`void` | `find()`
`void` | `findNext()`
`DocWrapper` | `getDocWrapper()`
`boolean` | `isBeautifyEnabled()`
`boolean` | `isCopyEnabled()`
`boolean` | `isCutEnabled()`
`boolean` | `isModified()`
`boolean` | `isPasteEnabled()`
`boolean` | `isUndoEnabled()`
`void` | `paste()`
`void` | `reset()`
`void` | `setDocWrapper(DocWrapper doc)`
`void` | `undo()`

Method Detail

### reset

    public void reset()

### isModified

    public boolean isModified()

### setDocWrapper

    public void setDocWrapper(DocWrapper doc)

### getDocWrapper

    public DocWrapper getDocWrapper()

### activate

    public void activate(boolean readOnly)

### isCutEnabled

    public boolean isCutEnabled()

### cut

    public void cut()

### isCopyEnabled

    public boolean isCopyEnabled()

### copy

    public void copy()

### isPasteEnabled

    public boolean isPasteEnabled()

### paste

    public void paste()

### isUndoEnabled

    public boolean isUndoEnabled()

### undo

    public void undo()

### find

    public void find()

### findNext

    public void findNext()

### isBeautifyEnabled

    public boolean isBeautifyEnabled()

### beautify

    public void beautify()

### deactivate

    public boolean deactivate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group